Commit Migration Wave

Commit Migration Wave
Commit migration wave

Commits a migration wave by creating mobility groups on the HCX platform. This is an asynchronous operation.

Request
URI
PUT
https://{server}/hybridity/api/planning/migrationwaves/{migrationWaveId}
COPY
Path Parameters
string
migrationWaveId
Required

Unique identifier of the migration wave.

Query Parameters
string
action
Required

Action to perform, valid value is 'commit'.


Request Body

Migration wave commit request object

HcxMigrationWaveRequest of type(s) application/json
Required
{
    "name": "string",
    "localSite": {
        "infraManagerId": "string",
        "infraManagerType": "string"
    },
    "remoteSite": {
        "id": "string",
        "infraManagerId": "string",
        "infraManagerType": "string"
    },
    "mobilityGroups": [
        {
            "id": "string",
            "name": "string",
            "vms": [
                {
                    "id": "string",
                    "apps": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "dependentNetworks": [
        {
            "infraManagerId": "string",
            "infraManagerType": "string",
            "networkType": "string",
            "networkIds": [
                "string"
            ]
        }
    ],
    "revision": 0
}
string
name
Optional
Constraints: maxLength: 100

Name of the HCX migration wave.

object
localSite
Optional

localSite

object
remoteSite
Optional

remoteSite

array of object
mobilityGroups
Optional
Constraints: minItems: 1

mobilityGroups

array of object
dependentNetworks
Optional

dependentNetworks

integer
revision
Optional

Revision value, defaults to 1 if not provided.

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns HcxMigrationWaveResponse of type(s) application/json
{
    "id": "string",
    "name": "string",
    "state": "string",
    "localSite": {
        "id": "string",
        "name": "string",
        "infraManagerId": "string",
        "infraManagerType": "string",
        "infraManagerName": "string"
    },
    "remoteSite": {
        "id": "string",
        "name": "string",
        "infraManagerId": "string",
        "infraManagerType": "string",
        "infraManagerName": "string"
    },
    "status": [
        {
            "code": "string",
            "msg": "string"
        }
    ],
    "createdTimestamp": 0,
    "lastUpdatedTimestamp": 0,
    "revision": 0
}
string
id
Optional

id

string
name
Optional

name

string
state
Optional

state

Possible values are : CREATED, VALIDATING, READY, COMMITTING, COMMITTED, EXECUTING, DELETING, EXECUTION_COMPLETED, CONCLUDED,
object
localSite
Optional

localSite

object
remoteSite
Optional

remoteSite

array of object
status
Optional

status

integer As int64 As int64
createdTimestamp
Optional

createdTimestamp

integer As int64 As int64
lastUpdatedTimestamp
Optional

lastUpdatedTimestamp

integer
revision
Optional

revision


400

Bad Request

Operation doesn't return any data structure

409

Conflict

Operation doesn't return any data structure

500

Internal Server Error

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/planning/migrationwaves/{migrationWaveId}